var createButton = function(imagePath) 
{
	var button = Ti.UI.createButton({
		image: imagePath,
		style: Ti.UI.iPhone.SystemButtonStyle.PLAIN,
		height: 70,
		width: 70,
		left: 10,
		borderWidth: '0',
		borderColor: 'transparent',
		backgroundColor: 'transparent',
		opacity: 0.3
	});
	
	button.addEventListener('click', function(e)
	{
	    if (button.opacity >= 1)
	        button.opacity = 0.3;
	    else
	        button.opacity = 1;
	});
	
	return button;
};

var win = Ti.UI.createWindow({
    layout: 'horizontal',
    backgroundColor: 'white'
});

var sadButton = createButton('face_sad.png');
var okButton = createButton('face_ok.png');
var happyButton = createButton('face_happy.png');

win.add(sadButton);
win.add(okButton);
win.add(happyButton);

win.open();

